Subject: bug#6688: closed (bug #6688 fixed)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 04 Aug 2010 20:08:03 +0000

Your bug report

#6688: 23.2; Auto-fill broken in C/C++ modes.

which was filed against the emacs,cc-mode package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
6688: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=6688
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: bug #6688 fixed
From: Alan Mackenzie <[email-masked]>
To: [email-masked]
Date: Wed, 4 Aug 2010 20:19:42 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Bug fixed.

Subject: 23.2; Auto-fill broken in C/C++ modes.
From: Matthieu Moy <[email-masked]>
To: [email-masked]
Date: Wed, 21 Jul 2010 15:33:07 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I've had problems with auto-fill-mode in C and C++ comments for a while,
I finally managed to find a small test-case: let this be a C program.

/*
  Test

*/
#include <foo>
#include <bar>

If I put my cursor on the blank line below "Test", activate
M-x auto-fill-mode RET (other than that, it's a plain "emacs -Q")
and type SPC, I get this:

/*
  Test
*include <foo>
#include <bar>

with my cursor in the middle of the "*include".

I can't reproduce on Emacs 22.

Thanks,

In GNU Emacs 23.2.1 (i686-pc-linux-gnu, GTK+ Version 2.12.12)
 of 2010-05-10 on thabor
Windowing system distributor `The X.Org Foundation', version 11.0.10402000
configured using `configure  '--prefix=/usr/local/soft/emacs23/23.2' 'LDFLAGS=-L/local/berthier/usr/lib -L/usr/lib' 'CPPFLAGS=-I/local/berthier/usr/include -I/usr/include ''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: C/l

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
M-x a u t o - c i <tab> <backspace> <backspace> f i 
<tab> <return> C-n C-n SPC C-_ M-x r e p o r t <tab> 
<return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Undo!

Load-path shadows:
None found.

Features:
(shadow sort mail-extr message sendmail ecomplete rfc822 mml mml-sec
password-cache mm-decode mm-bodies mm-encode mailcap mail-parse rfc2231
rfc2047 rfc2045 qp ietf-drums mailabbrev nnheader gnus-util netrc
time-date mm-util mail-prsvr gmm-utils wid-edit mailheader canlock sha1
hex-util hashcash mail-utils emacsbug cc-mode cc-fonts easymenu cc-menus
cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs regexp-opt tooltip
ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd font-setting
tool-bar dnd fontset image fringe lisp-mode register page menu-bar
rfn-eshadow timer select scroll-bar mldrag mouse jit-lock font-lock
syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev loaddefs button
minibuffer faces cus-face files text-properties overlay md5 base64
format env code-pages mule custom widget hashtable-print-readable
backquote make-network-process font-render-setting gtk x-toolkit x
multi-tty emacs)

-- 
Matthieu